package com.ankaibei.workflow.api;

import com.ankaibei.workflow.vo.LoginInfo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@FeignClient(name = "loginApi", url = "${api-url:localhost:8077/api}")
public interface LoginApi {


    @PostMapping("/admin/upms/login/doLogin")
    Map doLogin (@RequestBody LoginInfo loginInfo);

    @PostMapping("/admin/upms/login/doLogout")
    String doLogout ();

    @GetMapping("/admin/upms/login/getLoginInfo")
    String getLoginInfo();
}
