package com.ankaibei.workFlow.webadmin.ankaibei.api;

import com.ankaibei.workFlow.webadmin.ankaibei.entity.UserInfoEntity;
import com.ankaibei.workFlow.webadmin.ankaibei.service.LoginService;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ResMsg;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.UserInfoVo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author lwq
 * @version 1.0
 * @description:
 * @date 2022/9/5 15:29
 */
@Service
public class LoginServiceApi implements LoginApi {

    @Resource
    private LoginService loginService;

    @Override
    public ResMsg login(UserInfoVo userInfoVo) {
        UserInfoEntity userInfoEntity = this.copyProperties(userInfoVo, UserInfoEntity.class);
        return loginService.login(userInfoEntity);
    }
}
