//package com.ankaibei.workFlow.webadmin.ankaibei.config;
//
//import com.ankaibei.workFlow.webadmin.ankaibei.utils.JwtUtil;
//import org.springframework.util.StringUtils;
//import org.springframework.web.servlet.HandlerInterceptor;
//import org.springframework.web.servlet.ModelAndView;
//
//import javax.servlet.ServletException;
//import javax.servlet.http.HttpServletRequest;
//import javax.servlet.http.HttpServletResponse;
//import java.io.IOException;
//
//public class UserLoginInterceptor implements HandlerInterceptor {
//
//    /***
//     * 在请求处理之前进行调用(Controller方法调用之前)
//     */
//    @Override
//    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
//        System.out.println("执行了拦截器的preHandle方法");
//
//        String token = request.getHeader("token");
//        if (StringUtils.isEmpty(token)){
//            error(request,response);
//            return false;
//        }
//        if(!JwtUtil.findLoginToken(token)){
//            error(request,response);
//            return false;
//        }
//        return true;
//        //如果设置为false时，被请求时，拦截器执行到此处将不会继续操作
//        //如果设置为true时，请求将会继续执行后面的操作
//    }
//
//     /**
//      *
//      *请重新登录
//      */
//     private String error(HttpServletRequest request, HttpServletResponse response){
//         try {
//             request.getRequestDispatcher("/errorLogin").forward(request,response);
//         } catch (ServletException e) {
//             e.printStackTrace();
//         } catch (IOException e) {
//             e.printStackTrace();
//         }
//         return null;
//     }
//
//    /***
//     * 请求处理之后进行调用，但是在视图被渲染之前（Controller方法调用之后）
//     */
//    @Override
//    public void postHandle(HttpServletRequest request, HttpServletResponse response, Object handler, ModelAndView modelAndView) throws Exception {
//    }
//
//    /***
//     * 整个请求结束之后被调用，也就是在DispatchServlet渲染了对应的视图之后执行（主要用于进行资源清理工作）
//     */
//    @Override
//    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex) throws Exception {
//    }
//}
