package com.ankaibei.workFlow.webadmin.ankaibei.vo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;

/**
 * @author lwq
 * @version 1.0
 * @description:
 * @date 2022/10/13 16:18
 */
@Data
public class AccesoryInfoVo implements Serializable {

    private Integer accesoryId;
    /**
     * 合同
     */
    @JSONField(serialize = false)
    private List<MultipartFile> contract;
    /**
     * 方案
     */
    @JSONField(serialize = false)
    private List<MultipartFile> scheme;
    /**
     * 计划
     */
    @JSONField(serialize = false)
    private List<MultipartFile> plan;
    /**
     * 提交材料
     */
    @JSONField(serialize = false)
    private List<MultipartFile> submitMaterial;
    /**
     * 验收单
     */
    @JSONField(serialize = false)
    private List<MultipartFile> acceptance;
    /**
     * 项目id
     */
    private String projectId;
}
