package com.ankaibei.workFlow.webadmin.ankaibei.vo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author
 * @version 1.0
 * @description: 通讯费表
 * @date 2022/9/21 14:26
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CommunicationInfoVo extends BaseVo {
    private Integer communicationId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 申请费用
     */
    private BigDecimal applicationFee;
    /**
     * 备注
     */
    private String remark;
    /**
     * 创建用户
     */
    private String createUser;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 结束时间
     */
    private Date endDate;
    /**
     * 总金额
     */
    private BigDecimal totalMoney;
    /**
     * 发票
     */
    private String invoice;

}
