package com.ankaibei.workFlow.webadmin.ankaibei.vo;

import com.ankaibei.workFlow.webadmin.ankaibei.entity.ManHourJobInfo;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:工时管理表
 * @date 2022/9/21 14:28
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ManHourInfoVo extends BaseVo {
    private Integer manId;
    /**
     * 项目成员
     */
    private String projectUser;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 记录每一天的工时
     */
    private List<ManHourJobInfo> manHours;

    /**
     * 创建日期
     */
    private Date createDate;
    /**
     * 结束日期
     */
    private Date endDate;
    /**
     * 创建用户
     */
    private String createUser;

    /**
     * 项目id
     */
    private String projectId;
    /**
     * 进入流程后获取到的流程实例的id
     */
    private String processInstanceId;
    /**
     * 工作流任务处理状态
     */
    private Integer flowTaskStatus;
    /**
     * 流程定义Id
     */
    private String processDefinitionId;

}
