package com.ankaibei.workFlow.webadmin.ankaibei.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/14 11:01
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ProjectInfoVo extends BaseVo {
    private Integer projectId;
    private String projectName;
    private String projectStage;
    private String projectStatus;
    private String projectType;
    private String relevanceClient;
    private String peojectMoney;
    private BigDecimal staffCost;
    private BigDecimal projectCost;
    private BigDecimal totalCost;
    private String linkmanPhone;
    private String projectPrincipal;
    private String projectNode;
    private String projectDescribe;
    private Date createDate;
    /**
     * 进入流程后获取到的流程实例的id
     */
    private String processInstanceId;
    /**
     * 工作流任务处理状态
     */
    private Integer flowTaskStatus;
    /**
     * 流程定义Id
     */
    private String processDefinitionId;

}
