package com.ankaibei.workFlow.webadmin.ankaibei.vo;

import jdk.internal.dynalink.linker.LinkerServices;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/14 10:59
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TaskInfoVo extends BaseVo {
    private Integer taskId;
    private String targetTask;
    private String taskPriority;
    private List<Long> taskParticipant;
    /**
     * 时间计划 开始时间
     */
    private Date startTime;
    /**
     * 时间计划 结束时间
     */
    private Date endTime;
    private String taskStatus;
    private String taskCreator;
    private String taskIndex;
    private String taskStandard;
    private String taskStatements;
    private String projectId;
    /**
     * 进入流程后获取到的流程实例的id
     */
    private String processInstanceId;
    /**
     * 工作流任务处理状态
     */
    private Integer flowTaskStatus;
    /**
     * 流程定义Id
     */
    private String processDefinitionId;

}
