package com.ankaibei.workFlow.webadmin.ankaibei.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author lwq
 * @version 1.0
 * @description:
 * @date 2022/9/5 14:06
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class UserInfoVo extends BaseVo {

    /**
     * 用户id
     */
    private Integer userId;
    /**
     * 用户姓名
     */
    private String userName;
    /**
     * 账号
     */
    private String userAcct;
    /**
     * 密码
     */
    private String userPwd;
    /**
     * 手机号
     */
    private String userPhone;
    /**
     * 工号
     */
    private String jobNumber;
    /**
     * 职务
     * 1 组员
     * <p>
     * 2 项目经理
     * <p>
     * 3 产品总监
     * <p>
     * 4 超级管理员
     */
    private String userDuty;
    /**
     * 部门
     */
    private String department;
    /**
     * 地区
     */
    private String region;
    /**
     * 分公司
     */
    private String filiale;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 项目组id
     */
    private Integer projectTeamId;
    /**
     * 用户状态（1正常 0注销）
     */
    private Integer userStatus;


}
