package com.ankaibei.workFlow.webadmin.upms.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

/**
 * 数据权限与菜单关联实体对象。
 *
 * @author Buzhanyi
 * @date 2022-09-25
 */
@Data
@ToString(of = {"menuId"})
@TableName(value = "work_sys_data_perm_menu")
public class SysDataPermMenu {

    /**
     * 数据权限Id。
     */
    @TableField(value = "data_perm_id")
    private String dataPermId;

    /**
     * 关联菜单Id。
     */
    @TableField(value = "menu_id")
    private String menuId;
}
