package com.ankaibei.workFlow.webadmin.upms.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import javax.persistence.Transient;

/**
 * 部门岗位多对多关联实体对象。
 *
 * @author Buzhanyi
 * @date 2022-09-25
 */
@Data
@TableName(value = "work_sys_dept_post")
public class SysDeptPostRelation {

    /**
     * 部门岗位Id。
     */
    @Transient
    private String deptPostId;

    /**
     * 部门Id。
     */
    @Transient
    private String deptId;

    /**
     * 岗位Id。
     */
    @Transient
    private String postId;

    /**
     * 部门岗位显示名称。
     */
    @Transient
    private String postShowName;
    /**
     * 部门名称。
     */
    @Transient
    private String deptName;
    /**
     * 部门中此岗位的等级。
     */
    @Transient
    private String postLevel;
    /**
     * 是否是领导岗位。
     */
    @Transient
    private String leaderPost;


}
