package com.ankaibei.workFlow.webadmin.upms.model;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * 用户岗位多对多关系实体对象。
 *
 * @author Buzhanyi
 * @date 2022-09-25
 */
@Data
@TableName(value = "work_sys_user_post")
public class SysUserPost {

    /**
     * 用户Id。
     */
    @TableField(value = "user_id")
    private String userId;

    /**
     * 部门岗位Id。
     */
    @TableField(value = "dept_post_id")
    private String deptPostId;

    /**
     * 岗位Id。
     */
    @TableField(value = "post_id")
    private String postId;
}
