package com.ankaibei.workFlow.common.online.object;

import lombok.Data;

/**
 * 连接表信息对象。
 *
 * @author Buzhanyi
 * @date 2022-09-25
 */
@Data
public class JoinTableInfo {

    /**
     * 是否左连接。
     */
    private Boolean leftJoin;

    /**
     * 连接表表名。
     */
    private String joinTableName;

    /**
     * 连接条件。
     */
    private String joinCondition;
}
