package com.ankaibei.workflow.api;

import com.ankaibei.workflow.response.ResMsg;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author wyy
 * @subject
 * @creat 2023/6/30
 */
@FeignClient(name = "projectApi", url = "${api-url:localhost:8077/api}")
public interface ProjectApi {
    @GetMapping("/foreign/admin/upms/project/getProjectInfoByProjectName")
    ResMsg findProjectInfo(@RequestParam("projectName") String projectName);
}
