package com.ankaibei.workFlow.webadmin.ankaibei.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Basic;
import javax.persistence.Column;
import java.util.Date;

/**
 * @author
 * @version 1.0
 * @description:费用管理表
 * @date 2022/9/21 14:28
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CostInfoVo extends BaseVo {
    private Integer costId;
    /**
     * 费用项
     */
    private String costType;
    /**
     * 状态
     */
    private String costStatus;
    /**
     * 关联人员
     */
    private String relevanceUser;
    /**
     * 项目类型名称
     */
    private String projectName;
    /**
     * 执行金额
     */
    private Integer performAmount;
    /**
     * 发生日期
     */
    private Date happenDate;
    /**
     * 付款日期
     */
    private Date paymentDate;
    /**
     * 申请人
     */
    private Integer proposer;
    /**
     * 进入流程后获取到的流程实例的id
     */
    private String processInstanceId;
    /**
     * 工作流任务处理状态
     */
    private Integer flowTaskStatus;
    /**
     * 流程定义Id
     */
    private String processDefinitionId;

}
