package com.ankaibei.workFlow.webadmin.api;

import com.ankaibei.workFlow.webadmin.ankaibei.entity.ProjectInfoEntity;
import com.ankaibei.workFlow.webadmin.ankaibei.mapper.ProjectInfoMapper;
import com.ankaibei.workFlow.webadmin.ankaibei.service.ProjectInfoService;
import com.ankaibei.workflow.api.ProjectApi;
import com.ankaibei.workflow.response.CodeEnum;
import com.ankaibei.workflow.response.ResMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author wyy
 * @subject
 * @creat 2023/6/30
 */
@RestController
@RequestMapping("/foreign/admin/upms/project")
public class ProjectApiService implements ProjectApi {
    @Resource
    private ProjectInfoMapper projectInfoMapper;

    @Override
    @RequestMapping("/getProjectInfoByProjectName")
    public ResMsg findProjectInfo(String projectName) {
        List<ProjectInfoEntity> list = projectInfoMapper.findAllByProjectName(projectName);
        return new ResMsg(CodeEnum.OK, list);
    }
}
