package com.ankaibei.workFlow.webadmin.upms.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 部门岗位VO对象。
 *
 * @author Buzhanyi
 * @date 2022-09-25
 */
@ApiModel("部门岗位VO")
@Data
public class SysDeptPostVo {

    /**
     * 部门岗位Id。
     */
    @ApiModelProperty(value = "部门岗位Id")
    private String deptPostId;

    /**
     * 部门Id。
     */
    @ApiModelProperty(value = "部门Id")
    private String deptId;

    /**
     * 岗位Id。
     */
    @ApiModelProperty(value = "岗位Id")
    private String postId;

    /**
     * 部门岗位显示名称。
     */
    @ApiModelProperty(value = "部门岗位显示名称")
    private String postShowName;
}
