package com.ankaibei.workFlow.common.flow.online.controller;

import com.alibaba.fastjson.JSONObject;
import com.ankaibei.workFlow.common.flow.dto.FlowTaskCommentDto;
import lombok.Data;

@Data
public class SubmitUserTaskVo {

    /**
     * processInstanceId  流程实例Id。
     */
    private String processInstanceId;
    /**
     * taskId             流程任务Id。
     */
    private String taskId;
    /**
     * flowTaskCommentDto 流程审批数据。
     */
    private FlowTaskCommentDto flowTaskCommentDto;
    /**
     * taskVariableData   流程任务变量数据。
     */
    private JSONObject taskVariableData;
    /**
     * masterData         流程审批相关的主表数据。
     */
    private JSONObject masterData;
    /**
     * slaveData          流程审批相关的多个从表数据。
     */
    private JSONObject slaveData;
    /**
     * copyData           传阅数据，格式为type和id，type的值参考FlowConstant中的常量值。
     */
    private JSONObject copyDat;

    /**
     * 要处理的任务的审批类型
     */
    private String costType;
    /**
     * 要处理的任务的数据的主键id
     */
    private Integer applyDataId;
}
