package com.ankaibei.workFlow.common.flow.object;

import lombok.Data;

import java.util.List;

/**
 * 流程用户任务扩展数据对象。
 *
 * @author Buzhanyi
 * @date 2022-09-25
 */
@Data
public class FlowUserTaskExtData {

    public static final String NOTIFY_TYPE_MSG = "message";
    public static final String NOTIFY_TYPE_EMAIL = "email";

    /**
     * 任务通知类型列表。
     */
    private List<String> flowNotifyTypeList;
}
