package com.ankaibei.workFlow.common.online.api.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * 在线表单API的配置对象。
 *
 * @author Buzhanyi
 * @date 2022-09-25
 */
@Data
@ConfigurationProperties(prefix = "common-online-api")
public class OnlineApiProperties {

    /**
     * 在线表单的URL前缀。
     */
    private String urlPrefix;
}
